Name:		python-tox
Version:	3.24.4
Release:	1
Summary:	Virtualenv-based automation of test activities
License:	MIT
URL:		https://tox.readthedocs.io/
Source0:	https://files.pythonhosted.org/packages/source/t/tox/tox-%{version}.tar.gz

BuildArch:      noarch

%description
At its core tox povides a convenient way to run arbitrary commands in isolated environments to serve as a single entry point for build, test and release activities.

%package -n python3-tox
Summary:        Virtualenv-based automation of test activities
%{?python_provide:%python_provide python3-tox}
Provides:       tox = %{version}-%{release}
BuildRequires:  python3-devel python3-setuptools python3-setuptools_scm
Requires:	python3-devel

%description -n python3-tox
At its core tox povides a convenient way to run arbitrary commands in isolated environments to serve as a single entry point for build, test and release activities.

%package_help
%prep
%autosetup -p1 -n tox-%{version}
rm -rf tox.egg-info

%build
%_bindir/python3 setup.py build '--executable=%_bindir/python3 -s'

%install
%_bindir/python3 setup.py install -O1 --skip-build --root %buildroot

%files -n python3-tox
%defattr(-,root,root)
%license LICENSE
%{_bindir}/tox
%{_bindir}/tox-quickstart
%_prefix/lib/python%{python3_version}/site-packages/tox/
%_prefix/lib/python%{python3_version}/site-packages/tox-%{version}-py3.*.egg-info/

%files help
%defattr(-,root,root)
%doc docs/changelog/README.rst

%changelog
* Sat Dec 18 2021 shixuantong <shixuantong@huawei.com> - 3.24.4-1
- update version to 3.24.4

* Tue Feb 2 2021 hanhui<hanhui15@huawei.com> - 3.5.3-4
- bugfix
- DESC:slove setuptools_scm upgrade lead to tox complication failures

* Sat Jun 20 2020 hanhui<hanhui15@huawei.com> - 3.5.3-3
- bugfix
- DESC:fix python-ldap requires

* Thu Jun 18 2020 hanhui<hanhui15@huawei.com> - 3.5.3-2
- bugfix
- DESC:modify python3.7 can not find file path

* Tue Feb 11 2020 huzunhao<huzunhao2@huawei.com> - 3.5.3-1
- Package init
